## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanTransformerProblemListener Class Reference

`#include <XalanTransformerProblemListener.hpp>`

Inheritance diagram for XalanTransformerProblemListener:

[legend]
Collaboration diagram for XalanTransformerProblemListener:

[legend]
List of all members.

## Public Types

- typedef std::ostream StreamType

## Public Methods

- XalanTransformerProblemListener (MemoryManagerType &theManager, StreamType *theStream, PrintWriter *thePrintWriter)
- virtual ~XalanTransformerProblemListener ()
- virtual void setPrintWriter (PrintWriter *pw)
    Set the print writer to which the problem is reported. More...
- virtual void problem (eProblemSource where, eClassification classification, const XalanNode *sourceNode, const ElemTemplateElement *styleNode, const XalanDOMString &msg, const XalanDOMChar *uri, int lineNo, int charOffset)
    Function that is called when a problem event occurs. More...

## Member Typedef Documentation

typedef std::ostream XalanTransformerProblemListener::StreamType

## Constructor & Destructor Documentation

XalanTransformerProblemListener::XalanTransformerProblemListener ( | MemoryManagerType & theManager,
| StreamType * theStream,
| PrintWriter * thePrintWriter )

XalanTransformerProblemListener::~XalanTransformerProblemListener ( | )`[virtual]`

## Member Function Documentation

void XalanTransformerProblemListener::problem ( | eProblemSource where,
| eClassification classification,
| const XalanNode * sourceNode,
| const ElemTemplateElement * styleNode,
| const XalanDOMString & msg,
| const XalanDOMChar * uri,
| int lineNo,
| int charOffset )`[virtual]`

  | Function that is called when a problem event occurs. Parameters:
  where | either in XMLPARSER, XSLPROCESSOR, or QUERYENGINE
  classification | either MESSAGE, ERROR or WARNING
  sourceNode | source tree node where the problem occurred (may be 0)
  styleNode | style tree node where the problem occurred (may be 0)
  msg | string message explaining the problem.
  uri | the URI of the document where the problem occurred. May be 0.
  lineNo | line number where the problem occurred.
  charOffset | character offset where the problem.
Reimplemented from ProblemListener.

void XalanTransformerProblemListener::setPrintWriter ( | PrintWriter * pw )`[virtual]`

  | Set the print writer to which the problem is reported. Parameters:
  pw | writer to receive messages
Reimplemented from ProblemListener.

The documentation for this class was generated from the following file:

- XalanTransformerProblemListener.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.